package solutions.bitbadger.documents.java

import solutions.bitbadger.documents.DocumentSerializer

/**
 * A serializer that tells the user to implement another one
 *
 * This is the default serializer, so the library itself does not have any firm dependency on any JSON serialization
 * library. The tests for this library (will) have an example Jackson-based serializer.
 */
class NullDocumentSerializer : DocumentSerializer {

    override fun <TDoc> serialize(document: TDoc): String {
        TODO("Replace this serializer in DocumentConfig.serializer")
    }

    override fun <TDoc> deserialize(json: String, clazz: Class<TDoc>): TDoc {
        TODO("Replace this serializer in DocumentConfig.serializer")
    }

}
