package solutions.bitbadger.documents.scala.tests

import solutions.bitbadger.documents.Configuration

/**
 * These functions use a dummy connection string to force the given dialect for a given test
 */
object ForceDialect:

  def postgres(): Unit =
    Configuration.setConnectionString(":postgresql:")

  def sqlite(): Unit =
    Configuration.setConnectionString(":sqlite:")

  def none(): Unit =
    Configuration.setConnectionString(null)
