package solutions.bitbadger.documents

/**
 * An exception caused by invalid operations in the document library
 *
 * @param message The message for the exception
 * @param cause The underlying exception (optional)
 */
class DocumentException @JvmOverloads constructor(message: String, cause: Throwable? = null) : Exception(message, cause)
