package solutions.bitbadger.documents.core.tests.java.integration;

import java.util.List;

public class ArrayDocument {

    private String id;
    private List<String> values;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public List<String> getValues() {
        return values;
    }

    public void setValues(List<String> values) {
        this.values = values;
    }

    public ArrayDocument(String id, List<String> values) {
        this.id = id;
        this.values = values;
    }

    public ArrayDocument() {
        this("", List.of());
    }

    public static List<ArrayDocument> testDocuments =
            List.of(
                    new ArrayDocument("first", List.of("a", "b", "c")),
                    new ArrayDocument("second", List.of("c", "d", "e")),
                    new ArrayDocument("third", List.of("x", "y", "z")));

}
